{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";

    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, flake-utils, nixpkgs }: flake-utils.lib.eachDefaultSystem (system: rec {
    packages.p-seminar-protocols = nixpkgs.legacyPackages.${system}.callPackage ({ stdenv, texlive }:
      let
        texlive' = texlive.combine {
          inherit (texlive) scheme-small
            datetime2
            datetime2-german
            latexmk
            tracklang
            xkeyval;
        };
      in
      stdenv.mkDerivation {
        name = "p-seminar-protocols";

        nativeBuildInputs = [
          texlive'
        ];

        src = self;

        enableParallelBuilding = true;

        # We only build a PDF
        dontFixup = true;

        installPhase = ''
          mkdir $out
          cp *-sitzung.pdf $out
        '';
      }) { };

    defaultPackage = packages.p-seminar-protocols;
  });
}
